Skip to Content
dzshipBY DZBUILD
Shipping

Create a parcel

POST
/v1/orders

Request Body

application/json
  1. body
courier*string
credentials?

The caller's own credentials for that courier, 1-8 string fields. Never stored. Omit entirely for the sandbox courier.

options?
order*

Response Body

The parcel exists on your courier account

application/json
  1. response
trackingNumber*string
courierReference?string
labelUrl?string
status*string
reference*string
Example Request
curl -X POST 'https://freeship.dzbuild.com/v1/orders' \  -H 'Content-Type: application/json' \  -d '{  "courier": "string",  "order": {    "recipient": {      "fullName": "string",      "phone": "string",      "wilayaCode": 1,      "communeName": "string"    },    "deliveryType": "home",    "productList": "string",    "codAmount": 0  }}'
Example Response
{  "trackingNumber": "string",  "courierReference": "string",  "labelUrl": "string",  "status": "string",  "reference": "string"}